##############################################################################
## This file is part of 'SLAC Firmware Standard Library'.
## It is subject to the license terms in the LICENSE.txt file found in the 
## top-level directory of this distribution and at: 
##    https://confluence.slac.stanford.edu/display/ppareg/LICENSE.html. 
## No part of 'SLAC Firmware Standard Library', including this file, 
## may be copied, modified, propagated, or distributed except according to 
## the terms contained in the LICENSE.txt file.
##############################################################################
#schemaversion 3.0.0
#once TenGigEthReg.yaml

TenGigEthReg: &TenGigEthReg 
  class: MMIODev
  description: TenGigEthReg 
  size: 0x1000
  #########
  children:
  #########
    #########################################################
    StatusCounters:
      class: IntField
      at:
        offset: 0x000
        nelms: 19
      mode: RO
      description: Status Counters
    #########################################################
    StatusVector:
      class: IntField
      at:
        offset: 0x100
      sizeBits: 19       
      mode: RO
      description: Status Vector   
    #########################################################
    PhyStatus:
      class: IntField
      at:
        offset: 0x108
      sizeBits: 8      
      mode: RO
      description: PhyStatus              
    #########################################################
    MacAddress:
      class: IntField
      at:
        offset: 0x200
      sizeBits: 48      
      mode: RO
      description: MAC Address (big-Endian)   
    #########################################################
    PauseTime:
      class: IntField
      at:
        offset: 0x21C
      sizeBits: 16      
      mode: RO
      description: PauseTime  
    #########################################################
    FilterEnable:
      class: IntField
      at:
        offset: 0x228
      sizeBits: 1    
      mode: RO
      description: FilterEnable 
    #########################################################
    PauseEnable:
      class: IntField
      at:
        offset: 0x22C
      sizeBits: 1    
      mode: RO
      description: PauseEnable  
    #########################################################
    pma_pmd_type:
      class: IntField
      at:
        offset: 0x230
      sizeBits: 3    
      mode: RW
      description: pma_pmd_type    
    #########################################################
    pma_loopback:
      class: IntField
      at:
        offset: 0x234
      sizeBits: 1    
      mode: RW
      description: pma_loopback    
    #########################################################
    pma_reset:
      class: IntField
      at:
        offset: 0x238
      sizeBits: 1    
      mode: RW
      description: pma_reset
    #########################################################
    pcs_loopback:
      class: IntField
      at:
        offset: 0x23C
      sizeBits: 1    
      mode: RW
      description: pcs_loopback  
    #########################################################
    pcs_reset:
      class: IntField
      at:
        offset: 0x240
      sizeBits: 1    
      mode: RW
      description: pcs_reset             
    #########################################################
    RollOverEn:
      class: IntField
      at:
        offset: 0xF00
      sizeBits: 19    
      mode: RW
      description: RollOverEn        
    #########################################################
    CounterReset:
      class: IntField
      at:
        offset: 0xFF4
      sizeBits: 1    
      mode: WO
      description: CounterReset  
    #########################################################
    SoftReset:
      class: IntField
      at:
        offset: 0xFF8
      sizeBits: 1    
      mode: WO
      description: SoftReset    
    #########################################################
    HardReset:
      class: IntField
      at:
        offset: 0xFFC
      sizeBits: 1    
      mode: WO
      description: HardReset          
    #########################################################
